# Enum Class VulkanFormatCompressed

java.lang.Object
java.lang.Enum<VulkanFormatCompressed>
com.io7m.jcoronado.api.VulkanFormatCompressed

All Implemented Interfaces:
  `Serializable`, `Comparable<VulkanFormatCompressed>`, `Constable`

public enum VulkanFormatCompressed extends Enum<VulkanFormatCompressed>
A description of whether a format represents compressed or uncompressed data. Unless a format is explicitly declared as being compressed, it is considered uncompressed.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMAT_COMPRESSED`
  The format represents compressed data.
  `FORMAT_UNCOMPRESSED`
  The format does not represent compressed data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanFormatCompressed`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanFormatCompressed[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORMAT_COMPRESSED

    public static final VulkanFormatCompressed FORMAT_COMPRESSED
    The format represents compressed data.

  - ### FORMAT_UNCOMPRESSED

    public static final VulkanFormatCompressed FORMAT_UNCOMPRESSED
    The format does not represent compressed data.

- ## Method Details

  - ### values

    public static VulkanFormatCompressed[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanFormatCompressed valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null